Mailinglist Archive: opensuse-updates (98 mails)

< Previous Next >
openSUSE-SU-2017:2939-1: moderate: Security update for libsass
openSUSE Security Update: Security update for libsass
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:2939-1
Rating: moderate
References: #1050148 #1050149 #1050150 #1050151 #1050380

Cross-References: CVE-2017-11554 CVE-2017-11555 CVE-2017-11556
CVE-2017-11605 CVE-2017-11608
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 42.2
______________________________________________________________________________

An update that fixes 5 vulnerabilities is now available.

Description:

This update for libsass fixes the following DoS vulnerabilities:

- CVE-2017-11554: Stack consumption vulnerability allowed remote DoS via
crafted input (1050148)
- CVE-2017-11555: Illegal address access in Eval::operator allowed remote
DoS via crafted input (boo#1050149)
- CVE-2017-11556: Stack consumption vulnerability allowed remote DoS via
crafted input (boo#1050150)
- CVE-2017-11605: Heap based buffer over-read allowed remote DoS via
crafted input (boo#1050151)
- CVE-2017-11608: Heap-based buffer over-read allowed remote DoS via
crafted input (boo#1050380)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2017-1250=1

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-1250=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

libsass-3_3_2-0-3.3.2-5.1
libsass-3_3_2-0-debuginfo-3.3.2-5.1
libsass-debugsource-3.3.2-5.1
libsass-devel-3.3.2-5.1

- openSUSE Leap 42.2 (i586 x86_64):

libsass-3_3_2-0-3.3.2-2.3.1
libsass-3_3_2-0-debuginfo-3.3.2-2.3.1
libsass-debugsource-3.3.2-2.3.1
libsass-devel-3.3.2-2.3.1


References:

https://www.suse.com/security/cve/CVE-2017-11554.html
https://www.suse.com/security/cve/CVE-2017-11555.html
https://www.suse.com/security/cve/CVE-2017-11556.html
https://www.suse.com/security/cve/CVE-2017-11605.html
https://www.suse.com/security/cve/CVE-2017-11608.html
https://bugzilla.suse.com/1050148
https://bugzilla.suse.com/1050149
https://bugzilla.suse.com/1050150
https://bugzilla.suse.com/1050151
https://bugzilla.suse.com/1050380


< Previous Next >
This Thread
  • No further messages